| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Macros
Flash image format constants
bladeRF1-specific API | Flash image format

## Description

Note
  These apply to both the bladeRF1 and bladeRF2, but they are still in bladeRF1.h for the time being.

## Macros
#define | BLADERF_FLASH_ADDR_FIRMWARE 0x00000000
#define | BLADERF_FLASH_BYTE_LEN_FIRMWARE 0x00030000
#define | BLADERF_FLASH_ADDR_CAL 0x00030000
#define | BLADERF_FLASH_BYTE_LEN_CAL 0x100
#define | BLADERF_FLASH_ADDR_FPGA 0x00040000

## Macro Definition Documentation

## ◆ BLADERF_FLASH_ADDR_CAL

#define BLADERF_FLASH_ADDR_CAL 0x00030000

Byte address of calibration data region

Definition at line 111 of file bladeRF1.h.

## ◆ BLADERF_FLASH_ADDR_FIRMWARE

#define BLADERF_FLASH_ADDR_FIRMWARE 0x00000000

Byte address of FX3 firmware

Definition at line 105 of file bladeRF1.h.

## ◆ BLADERF_FLASH_ADDR_FPGA

#define BLADERF_FLASH_ADDR_FPGA 0x00040000

Byte address of of the autoloaded FPGA and associated metadata.

The first page is allocated for metadata, and the FPGA bitstream resides in the following pages.

Definition at line 122 of file bladeRF1.h.

## ◆ BLADERF_FLASH_BYTE_LEN_CAL

#define BLADERF_FLASH_BYTE_LEN_CAL 0x100

Length of calibration data, in bytes

Definition at line 114 of file bladeRF1.h.

## ◆ BLADERF_FLASH_BYTE_LEN_FIRMWARE

#define BLADERF_FLASH_BYTE_LEN_FIRMWARE 0x00030000

Length of firmware region of flash, in bytes

Definition at line 108 of file bladeRF1.h.